# Versioning with jsDelivr

Even though it is highly recommended to always use the latest version of WProofreader package (wscbundle.js), there might be exceptions to this rule.

Rarely we can introduce drastic changes to the user interface or overall user experience. Thus, it might require extra time for existing customers to adapt to changes.

In the initialization of WProofreader, you are required to specify the path to **wscbundle.js** script. Its default and recommended path is below.

Path to the latest version:

```javascript
<script type="text/javascript" src="https://svc.webspellchecker.net/spellcheck31/wscbundle/wscbundle.js"></script>
```

An example of a specific version of **wscbunle.js** using [jsDelivr](https://www.jsdelivr.com/) CDN.

```javascript
<script src='https://cdn.jsdelivr.net/gh/WebSpellChecker/wproofreader@5.7.1.1/wscbundle/wscbundle.js'></script>
```

Select the required release tag from the open [WProofreader repository](https://github.com/WebSpellChecker/wproofreader/tags). The scope of changes in each release will be available on the [public changelog](https://github.com/WebSpellChecker/wproofreader/blob/master/CHANGELOG.md).

2\. Make sure you have the additional service endpoint (serviceProtocol, serviceHost, servicePort, servicePath) [parameters](https://webspellchecker.com/docs/api/wscbundle/Options.html) explicitly specified in the configuration script as shown below.

```javascript
...
serviceProtocol:'http',
serviceHost:'svc.webspellchecker.net',
servicePort:'443',
servicePath:'spellcheck31/api'
...
```

Otherwise, you might receive an error like this:

{% hint style="warning" %}
“CORS response parsing error: SyntaxError: Unexpected token 'M', "Method Not Allowed" is not valid JSON”.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/v6.12.0/integrations/how-tos/versioning-with-jsdelivr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
